Please note: This project is no longer active. The website is kept online for historic purposes only.
If you´re looking for a Linux driver for your Atheros WLAN device, you should continue here .

Ticket #1053 (closed enhancement: fixed)

Opened 13 years ago

Last modified 12 years ago

procfs sample rate statistics - trivial improvements

Reported by: Przemyslaw Bruski Assigned to:
Priority: trivial Milestone: version 0.9.5
Component: madwifi: rate module 'sample' Version: trunk
Keywords: Cc:
Patch is attached: 1 Pending:

Description

Attached patch fixes two problems: 1. procfs sample rate statistics are often misaligned 2. each file read causes invocation of empty printk()

Attachments

proc-prettyprint.diff (2.3 kB) - added by Przemyslaw Bruski on 12/21/06 16:59:13.

Change History

12/21/06 16:59:13 changed by Przemyslaw Bruski

  • attachment proc-prettyprint.diff added.

12/21/06 17:02:14 changed by Przemyslaw Bruski

The patch also removes renames the index variable. In this way it's harder to make an incorrect assumption about the table which can be indexed by it (like in #398).

Signed-off-by: Przemyslaw Bruski <pbruskispam at op.pl>

06/01/07 17:31:03 changed by mentor

  • status changed from new to closed.
  • resolution set to fixed.
  • milestone set to version 0.9.4.

12/11/07 15:12:19 changed by hannemann@i4.informatik.rwth-aachen.de

Why isn't this patch still not applied to 0.9.3.x? At least removing the bogus printk is trivial and needed!

02/11/08 06:13:46 changed by mrenzmann

  • milestone changed from version 0.9.4 to version 0.9.5.